# $Revision: 1.15 $, $Date: 2004/11/05 14:52:56 $
%include	/usr/lib/rpm/macros.perl
Summary:	Console based frontend to MPlayer
Summary(pl):	Konsolowa nakadka na MPlayera
Name:		mplay
Version:	0.71
Release:	2
License:	GPL
Group:		Applications/Multimedia
Source0:	http://dl.sourceforge.net/mplay/%{name}-%{version}.tar.gz
# Source0-md5:	32505e1845f6cd5be97d53d038d40055
Source1:	%{name}.desktop
URL:		http://mplay.sourceforge.net/
BuildRequires:	rpm-perlprov
Requires:	mplayer
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mplay is a front-end to MPlayer. It extends its functions in several
significant ways. It:
- keeps playlist
- provides essential status information
- includes a progress bar
- remembers the position within the track last played before quitting
- provides basic mixer functions

%description -l pl
mplay jest nakadk na MPlayera rozszerzajc jego funkcjonalno na
kila sposobw:
- zarzdza listami odtwarzania
- dostarcza istotnych informacji na temat statusu
- wywietla belk postpu
- zapamituje pozycj cieki, ktra bya odtwarzana przed wyjciem
- dostarcza podstawowych funkcji miksera

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}}
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man1}

sed -e "s#/local/share/#/share/#g" mplay > mplay.tmp
mv -f mplay.tmp mplay

install mplay $RPM_BUILD_ROOT%{_bindir}
install help/help_* $RPM_BUILD_ROOT%{_datadir}/%{name}
install help/mplay.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: mplay.spec,v $
Revision 1.15  2004/11/05 14:52:56  paladine
- rel 2 for fixed desktop file

Revision 1.14  2004/10/16 13:24:47  yogib
- updated to 0.71, updated %%doc

Revision 1.13  2004/09/21 19:40:21  paszczus
- updated to 0.70

Revision 1.12  2004/08/22 08:31:06  yogib
- 0.68

Revision 1.11  2004/08/12 20:28:25  yogib
- updated to 0.67, added man

Revision 1.10  2004/07/18 20:12:01  yogib
- updated to 0.64

Revision 1.9  2004/06/17 13:28:53  blues
- release 2

Revision 1.8  2004/06/13 08:56:23  paszczus
- updated to 0.57

Revision 1.7  2004/06/10 16:56:10  yogib
- updated to 0.56

Revision 1.6  2004/06/05 13:44:30  blues
- release 2

Revision 1.5  2004/06/03 19:43:24  yogib
- updated to 0.53, removed obsoleted install patch

Revision 1.4  2004/05/01 17:33:17  yogib
- updated to 0.46

Revision 1.3  2004/04/15 18:39:23  yogib
- added desktop
- removed unneeded BR: sed

Revision 1.2  2004/04/13 20:08:10  yogib
- noarch

Revision 1.1  2004/04/13 20:02:19  yogib
- added

